libzypp: zypp::repo::RepoCreateReport Struct Reference

libzypp 17.36.6

Public Types | Public Member Functions | List of all members
zypp::repo::RepoCreateReport Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::repo::RepoCreateReport:

## Public Types
enum | Action { ABORT , RETRY , IGNORE }
enum | Error { NO_ERROR , NOT_FOUND , IO , REJECTED , INVALID , UNKNOWN }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (const zypp::Url &)
virtual bool | progress (int)
virtual Action | problem (const zypp::Url &, Error, const std::string &)
virtual void | finish (const zypp::Url &, Error, const std::string &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Deprecated
  Is not sent by zypp.

Definition at line 227 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::repo::RepoCreateReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 229 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::repo::RepoCreateReport::Error

Enumerator
NO_ERROR |
NOT_FOUND |
IO |
REJECTED |
INVALID |
UNKNOWN |

Definition at line 235 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::repo::RepoCreateReport::start | ( | const zypp::Url & |  | ) |
| inlinevirtual

Definition at line 244 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::repo::RepoCreateReport::progress | ( | int |  | ) |
| inlinevirtual

Definition at line 245 of file ZYppCallbacks.h.

## ◆ problem()

virtual Action zypp::repo::RepoCreateReport::problem | ( | const zypp::Url & | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 248 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::repo::RepoCreateReport::finish | ( | const zypp::Url & | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 254 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h